org.apache.sysds.runtime.iogen

## Class GenerateReader

- java.lang.Object
- - org.apache.sysds.runtime.iogen.GenerateReader

Direct Known Subclasses:
  GenerateReader.GenerateReaderFrame, GenerateReader.GenerateReaderMatrix

    public abstract class GenerateReader
    extends Object

### Nested Class Summary

Nested Classes
`static class` `GenerateReader.GenerateReaderFrame`
`static class` `GenerateReader.GenerateReaderMatrix`

### Constructor Summary

Constructors
Constructor and Description
`GenerateReader(SampleProperties sampleProperties)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenerateReader

    public GenerateReader(SampleProperties sampleProperties)
                   throws Exception

Throws:
  `Exception`